<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html" %>
<%@ taglib uri="/WEB-INF/struts-logic.tld" prefix="logic" %>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean" %>
<%@ taglib uri="/WEB-INF/enrgise-html.tld" prefix="enrgise" %>

<html:html>
<html:base />
<head>
  <TITLE><bean:message  key="hrm.title" /></TITLE>
  <jsp:include page="GenIncludes.jsp" flush="true" />
</head>

<BODY  scroll=auto>

<html:form name="HrmAttShiftRosterGenForm" action="HrmAttShiftRosterGenBaseAction" type="wenrgise.hrms.webtier.form.HrmAttShiftRosterGenForm">
<bean:define id="ParentForm" name="HrmAttShiftRosterGenForm" toScope="request" />
<jsp:include page="GenIconMenu.jsp" flush="true" />
<html:hidden property="detailDataChanged" name="HrmAttShiftRosterGenForm" />

<!--Top Most Blue Bar-->
<TABLE cellSpacing=0 bgColor=#bdd0ef>
    <tr>
        <TD  colSpan=12 class=mainHeader height=10><bean:message key="hrm.HrmAttShiftRosterGen.mainHeader" /></TD>
    </TR>
</TABLE>
<!--//  Display Errors -->
<enrgise:errors/>
<logic:messagesPresent message="true">
<Table>
    <html:messages id="message" message="true">
    <TR><TD>
      <bean:write name="message"/>
    </TD></TR>
    </html:messages>      
</Table>
</logic:messagesPresent>
<!--//  Display Errors -->
<TABLE cellSpacing=0 cellPadding=0 border=0 >
    <TR>
        <TD>
        
        <TABLE cellSpacing=0 cellPadding=0 >
        <!--Inspection Header Starts -->
          <!--  <TR>
                  <TD class=subHeader colspan=6><bean:message key="hrm.HrmAttShiftRosterGenSubHeader.title" /></TD>
            </TR>-->
            <TR>
                  <TD colspan=6 bgColor=#4682b4><IMG height=1 src="../includes/images/pixel.gif" width=1 border=0></TD>
            </TR>
            
            
            <TR> 
                
                 <td class="labelText"><bean:message key="hrm.HrmAttShiftRosterGen.site" /></td>
                  <td><html:text  property="site"  maxlength="10" size="23" styleClass="required" readonly="true"/><enrgise:img height="16" align="center" src="../includes/images/lov.jpg" property="butSiteCode" name="HrmAttShiftRosterGenForm" onclick="ShowSiteCode()" /></td>

                  <td class="labelText"><bean:message key="hrm.HrmAttShiftRosterGen.fromDate" /></td>
                  <td><html:text  property="fromDate"  maxlength="10" size="23" styleClass="optional" onchange="doChangeHeader();" readonly="true" /><img src="../includes/images/cal.gif"  width="15" height="19" align="top"  property="butfromDate" class="icon" onclick="showCalendar('fromDate',this)" /></td>
                
                 <td class="labelText"><bean:message key="hrm.HrmAttShiftRosterGen.toDate" /></td>
                  <td><html:text  property="toDate"  maxlength="10" size="23" styleClass="optional" onchange="doChangeHeader();" readonly="true"  /><img src="../includes/images/cal.gif"  width="15" height="19" align="top"  property="buttoDate"  class="icon" onclick="showCalendar('toDate',this)" /></td>
           </TR>   
           
           <tr>
                     
                  <td class="labelText"><bean:message key="hrm.HrmAttShiftRosterGen.wrkGrpCode" /></td>
                  <td><html:text  property="workGroupCode"  maxlength="10" size="23" styleClass="required" readonly="true" /><enrgise:img height="16" align="center" src="../includes/images/lov.jpg" property="butWrkGrpCode" name="HrmAttShiftRosterGenForm" onclick=" ShowWorkgroup()" />
                  </td>
            
           <td colspan=4></td>                        
           
           </tr>
            
            <tr height="10">
                <td colspan="6"></td>
            </tr>
         </table>
        
      <!-- Bottom Blue Bar -->
       <TR>
            <td>
              <TABLE  cellspacing="0" cellpadding="0" border=0>
                    <tr>
                        <td width=40%  bgColor=#4682b4></td>
                        <td align=center bgColor=#4682b4><enrgise:button name="HrmAttShiftRosterGenForm"   onclick="generateRoster();" property="butGenerate" styleClass="bottomBarText"> <u>G</u>enerate  </enrgise:button></td>
                        <td  width=40% align="right" bgColor=#4682b4><img src="../includes/images/man.jpg"></td>
                   </TR>
                </table>
            </td>
          </tr>
	
<!-- Container Table Ending Columns Starts-->
    
</TBODY>
</TABLE>

<!-- Container Table Ends -->


<html:hidden name="HrmAttShiftRosterGenForm"  property="screenMode" />
<html:hidden name="HrmAttShiftRosterGenForm"  property="screenName" value="HrmAttShiftRosterGen" />
<html:hidden name="HrmAttShiftRosterGenForm"  property="forwardedPage" />
<html:hidden property="positionRequested" name="HrmAttShiftRosterGenForm" />
<html:hidden property="txtIndex" name="HrmAttShiftRosterGenForm"  />

<input type="hidden" name="multipleFlag" >
<input type="hidden" name="queryParam" >

<html:hidden property="userPageRequested"  />
<html:hidden property="userPositionRequested" />
<html:hidden property="pageRequested" />

<html:hidden property="siteId" name="HrmAttShiftRosterGenForm"  />
<html:hidden property="lovKey" name="HrmAttShiftRosterGenForm"  />
<html:hidden property="txtSearchFields" name="HrmAttShiftRosterGenForm"  />
<html:hidden property="txtDisplayFields" name="HrmAttShiftRosterGenForm"  />

<html:hidden property="headerDataChanged" name="HrmAttShiftRosterGenForm"  />
<html:hidden property="detailDataChanged" value="false" />
<html:hidden property="buttonName" name="HrmAttShiftRosterGenForm" />
<html:hidden property="headerPrimaryKey" name="HrmAttShiftRosterGenForm" />
<html:hidden property="workGroupId" name="HrmAttShiftRosterGenForm"  />
<html:hidden property="firstLoad" name="HrmAttShiftRosterGenForm"  />

</html:form>
</body>
</html:html>

<SCRIPT>



function doQueryMode()
{

  return "HrmAttShiftRosterGenQueryModeAction.do";
}


function doInsertMode()
{

  return "HrmAttShiftRosterGenNewModeAction.do";
}


function doExecute()
{

  return "HrmAttShiftRosterGenGetHeaderAction.do";
}


 function generateRoster()
  {
        
         document.forms[0].buttonName.value="butGenerate";
        document.forms[0].action = contextRoot + "GenerateRoster.do";
        document.forms[0].submit();
  }
function doDelete()
{

  return "HrmAttShiftRosterGenDeleteAction.do";
  
}

function doRefresh()
{

  return "HrmAttShiftRosterGenRefreshAction.do";
  
}

function doPrevHeader()
{
  return "HrmAttShiftRosterGenGetNextHeaderAction.do"; 
}

function doNextHeader()
{
  return "HrmAttShiftRosterGenGetNextHeaderAction.do"; 
}

function doJumpHeader()
{
  return "HrmAttShiftRosterGenGetNextHeaderAction.do"; 
}

function doGetDetail()
{

  return "HrmAttShiftRosterGenGetDetailAction.do";
}

function doAddRow()
{

  return "HrmAttShiftRosterGenAddRowAction.do"; 
}

function doDelRow()
{
 return "HrmAttShiftRosterGenDeleteRowAction.do";  
}

function doGetDetailTableName()
{
  return "tableName";
}

function doPrevDetail()
{

  return "HrmAttShiftRosterGenGetDetailPageAction.do";  
}
function doExit()
{

  return "HrmAttShiftRosterGenExitAction.do";  
}

function doNextDetail()
{
  return "HrmAttShiftRosterGenGetDetailPageAction.do";
}

function doJumpDetail()
{
  return  "HrmAttShiftRosterGenGetDetailPageAction.do"; 
}


function ShowSiteCode()
{
   document.forms[0].lovKey.value = "HrmAttSftRosterGenSiteCode" + document.forms[0].screenName.value + document.forms[0].screenMode.value;
    document.forms[0].txtSearchFields.value = "hrm.HrmAttShiftRosterGen.site";
   document.forms[0].txtDisplayFields.value = "siteId,site";  
    document.forms[0].txtIndex.value = ""; 
   showLov('<html:rewrite page="/hrms/jsp/CommonSearchScreen.jsp" />', 'HrmAttShiftRosterGenForm');
   return true;
}
function doOnChangeLov(lovName)
{
  if(lovName == 'HrmAttSftRosterGenSiteCodeHrmAttShiftRosterGenQ')
  {
    doBaseValidate();
  } 
}
 
function ShowWorkgroup()
{
   document.forms[0].lovKey.value = "RosterGenWorkGroup" + document.forms[0].screenName.value + document.forms[0].screenMode.value;
   document.forms[0].txtDisplayFields.value = "workGroupId,workGroupCode";
   document.forms[0].txtSearchFields.value = "hrm.HrmAttShiftRosterGen.wrkGrpCode";
   document.forms[0].queryParam.value="site="+document.forms[0].siteId.value ;
   document.forms[0].txtIndex.value ="";
   document.forms[0].multipleFlag.value = "true";
   showLov('<html:rewrite page="/hrms/jsp/CommonSearchScreen.jsp" />', 'HrmAttShiftRosterGenForm');
   return true;
}


function doValidate()
{
  return "HrmAttSftRosGenValidateAction.do";
  
}


function doSetFields(arr,rows,cols)
{
  var sVal="";
  var sValId="";
  for(i=0;i<rows;i++){
    sValId+=arr[i][0];
    sVal+=arr[i][1];
    if(i!=rows-1){
      sVal+=",";
      sValId+=",";
    }
  }
  document.forms[0].workGroupCode.value=sVal;
  document.forms[0].workGroupId.value=sValId;
}

function doOnLoad()
{
  if(document.forms[0].firstLoad.value!="false")
  {
    return "HrmAttShiftRosterGenOnLoadAction.do";
  }
}

</script>
                
              
              
              
              
              
              
              
              
              
